Frequently Asked Questions

  • Which Photoshop version is required for the FX-Panel?

    FX-Panel runs under Windows and Mac in Photoshop CC 2015.5, CC 2017, CC 2018 and CC 2019. Adobe Creative users can update their Photoshop version for free. Older versions (CC 2015, 2014, CS6 and older), Photoshop Elements and Lightroom are not supported.

  • On how many computers may I use the FX-Panel?

    The panel includes one licence, which can be installed on two computers. Each user needs a separate licence, though! For buying multiple licences for businesses, please contact us.

  • Can I create and add my own presets?

    All presets from our shop are customizable and can be saved as custom presets. You can also integrate you own Photoshop actions and scripts to the panel, define custom images and edit searchable informations. Furthermore, you save Camera Raw filter settings as independent presets.

No questions matching current filter

Start typing and press Enter to search